בעיה

כשאתה משתמש ב-InDesign או ב-InCopy CS4 ואילך במערכת 2012 Mac OS X Lion, מתקבלת תיבת דו-שיח ריקה של אזהרה. היישום קורס כשאתה מבצע פונקציות מסוימות.

פתרונות

פתרון 1

  • InDesign CS4 ואילך: עדכן את Mac OS X 10.7 ל-Mac OS X 10.8.
  • InDesign CS6 בלבד: התקן את העדכונים החדשים ביותר ל-InDesign CS6 על-ידי מעבר אל Help ‏> Updates בתוך היישום.

פתרון 2

  1. הורד והפעל את קובץ ה-script הבא.

    הורד

  2. קובץ ה-script ינחה אותך לבחור עותק של InDesign/InCopy לעדכון. הפנה את קובץ ה-script להתקנה הנוכחית.

פתרון 3

צעדי הפתרון הבאים זהים לפתרון 1, אולם הקבצים מועתקים ידנית. בצע אותם אם פתרון 2 לא מצליח.

  1. סגור את InDesign והורד את ארכיון ה-zip המכיל שלושה סמלי InDesign.

    הורד

    הערה:

    יש להמשיך בהשמת קבצים אלה כדי לאפשר עדכונים נוספים. עם זאת, עליך לדעת שאתה משנה את קובץ היישום הקיים. העברת היישום או שינוי תכולתו עשויה להצריך התקנה חוזרת של היישום.

    Adobe ממליצה להתקין את כל העדכונים הרשמיים לפני השמת קבצים אלה בתוך היישום. תוכל לגשת לעדכונים אלה דרך Help >‏ Updates או מאתר האינטרנט של Adobe.

  2. חלץ את הסמלים מקובץ ה-zip למיקום שקל לאתרו, כגון שולחן העבודה שלך.

  3. נווט ליעד הבא: /Applications/Adobe InDesign CS6/‎ או למקום שבו היישום מותקן במערכת שלך.

  4. לחץ על קובץ היישום InDesign כאשר המקש CTRL לחוץ, או באמצעות לחצן העכבר הימני, ובחר באפשרות Show Package Contents.

  5. בתוך קובץ היישום InDesign, נווט ליעד הבא: ‎/Contents/MacOS/Required/‎ ואתר את הקובץ "Application UI.InDesignPlugin" ושוב בחר "Show Package Contents."

  6. בתוך התוסף, נווט לתיקייה Resources ואז לתיקייה "idrc_PNGA."

  7. העתק את שלושת קובצי הסמלים מקובץ ה-zip שחולץ לתיקייה idrc_PNGA.

  8. הפעל מחדש את InDesign.

פתרון 4

אל תתקין את עדכון התוכנה של Mac OS X (Mid 2012)‎ לגרסה 10.7.4. לחלופין, הסר את התקנתו במידת הניתן, באמצעות פונקציית השחזור של Mac OS X Lion.

מידע נוסף

בעדכון החדש ביותר למערכת Mac OS X Lion הוסר קובץ API ש-InDesign משתמש בו לעבודה עם סמלי מערכת. השמת הקבצים ישירות בתוך היישומים מהווה עקיפה של הפונקציה ששירת קובץ ה-API.

Adobe פעלה בשיתוף עם Apple כדי לעזור לוודא שקובצי API אלה ייכללו במהדורה העדכנית ביותר של Mac OS 10.8.

בשלב זה הפתרון היחיד שעובד עבור CS4 הוא להתקין את מערכת Mac OS 10.8 העדכנית יותר.

עבודה זו בוצעה ברישיון של Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License  הודעות המתפרסמות ב- Twitter™‎ ו- Facebook אינן מכוסות בתנאי Creative Commons.

הצהרות משפטיות   |   מדיניות פרטיות מקוונת